<?php
/* do NOT run this script through a web browser */
if (!isset($_SERVER["argv"][0]) || isset($_SERVER['REQUEST_METHOD'])  || isset($_SERVER['REMOTE_ADDR'])) {
   die("<br><strong>This script is only meant to run at the command line.</strong>");
}
 
$no_http_headers = true;
 
if (file_exists(dirname(__FILE__) . "/../include/global.php")) {
        include(dirname(__FILE__) . "/../include/global.php");
}
include(dirname(__FILE__) . "/../include/config.php");
include(dirname(__FILE__) . "/../lib/snmp.php");
 
$hostname = $_SERVER["argv"][1];
$snmp_community = $_SERVER["argv"][2];
 
if(isset($_SERVER["argv"][3]))
$snmp_version = $_SERVER["argv"][3];
else    
$snmp_version = "1" ;
 
function snmp_walk($hostname, $snmp_community, $oid, $snmp_version, $cacti_version) {
        
        if ($cacti_version) {
                $value = cacti_snmp_walk($hostname, $snmp_community, $oid, $snmp_version, "", "", "", "", "", "", 161, 1000, 1);
        } else {
               $value = cacti_snmp_walk($hostname, $snmp_community, $oid, $snmp_version, "", "", 161, 1000);
        }
        //print_R($value);
        return $value;
}
 
$bsnAPIfType = ".1.3.6.1.4.1.14179.2.2.2.1.2";
 
$radiotypes = reindex(snmp_walk($hostname, $snmp_community, $bsnAPIfType, $snmp_version, $config["cacti_version"]));
//print_r($radiotypes);
 
$sorted = array_count_values($radiotypes);
 
if (is_array($sorted) && count($sorted) > 0) {
        $newfinalarray = array("APdot11a:"=>$sorted[2],"APdot11b:"=>$sorted[1]);
        print "APdot11a:" . $sorted[2] . " APdot11b:" . $sorted[1] . "\n";
}
else {
        print "APdot11a:0 APdot11b:0";
}
 
function reindex($arr) {
   $return_arr = array();
   
   for ($i=0;($i<sizeof($arr));$i++) {
      $return_arr[$i] = $arr[$i]["value"];
   }
 
   return $return_arr;
}
?>